Skip to main content
POST
/
api
/
integration_product_mapping_groups
/
{mapping_group_id}
/
mappings
Create an integration product mapping
curl --request POST \
  --url https://clarus-api.com/api/integration_product_mapping_groups/{mapping_group_id}/mappings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "integration_product_mappings",
    "attributes": {
      "product_id": 1024,
      "integration_product_id": 778,
      "mapping_fields": [
        {
          "sku": "EXT-SKU-99"
        }
      ]
    }
  }
}
'
{
  "id": 5
}

Request Structure

{
  "data": {
    "type": "integration_product_mappings",
    "attributes": {
      "product_id": 1024,
      "integration_product_id": 778,
      "mapping_fields": [{ "sku": "EXT-SKU-99" }]
    }
  }
}
Links an external product entity (e.g. a Shopify product) to an internal Clarus product. Products can auto-map by SKU.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

mapping_group_id
integer
required

The integration product mapping group ID

Body

application/json
data
object
required

Response

Created successfully

Created record